file_format.hpp File Reference
`#include <iosfwd>`
Include dependency graph for file_format.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::io
| Everything related to input and output of OSM data.

## Enumerations

enum | osmium::io::file_format { osmium::io::file_format::unknown = 0, osmium::io::file_format::xml = 1, osmium::io::file_format::pbf = 2, osmium::io::file_format::opl = 3, osmium::io::file_format::json = 4, osmium::io::file_format::o5m = 5, osmium::io::file_format::debug = 6 }

## Functions

const char * | osmium::io::as_string (file_format format)
template<typename TChar , typename TTraits >
std::basic_ostream< TChar, TTraits > & | osmium::io::operator<< (std::basic_ostream< TChar, TTraits > &out, const file_format format)